/* 
 * Copyright (C) 2012-2017 Steven Lawson
 *
 * This file is part of FreedomTelnetClient.
 *
 * FreedomTelnetClient is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package me.StevenLawson.BukkitTelnetClient;

import java.awt.Color;

public class BTC_ConsoleMessage
{
    private final String message;
    private Color color;

    public BTC_ConsoleMessage(final String message)
    {
        this.message = message;
        if (!BukkitTelnetClient.themes.darkTheme)
        {
            this.color = Color.BLACK;
        }
        else
        {
            this.color = Color.WHITE;
        }
    }

    public BTC_ConsoleMessage(final String message, Color color)
    {
        this.message = message;
        this.color = BukkitTelnetClient.themes.checkColor(color);
    }

    public String getMessage()
    {
        return message;
    }

    public Color getColor()
    {
        return color;
    }

    public void setColor(Color color)
    {
        this.color = color;
    }
}
